3 Replies Latest reply on Feb 8, 2015 1:23 AM by gener7

    Stuck

    kevinm43916143

      Adobe Lighroom 5.7.1 can't be installed on my disk. Mac OS X 10.7.0 or greater is required to install...What do I do from here?